DwgObject Class

The DwgObject class defines a DWG or DXF object that can be inserted into a drawing.
Inheritance Hierarchy

Namespace:  Tekla.Structures.Drawing
Assembly:  Tekla.Structures.Drawing (in Tekla.Structures.Drawing.dll) Version: 2023.0.3
Syntax
[SerializableAttribute]
public sealed class DwgObject : EmbeddedObjectBase

The DwgObject type exposes the following members.

Constructors
  NameDescription
Public methodDwgObject(ViewBase, Point, String)
Creates a new DwgObject instance with the given parameters.
Public methodDwgObject(ViewBase, Point, String, EmbeddedObjectAttributes)
Creates a new DwgObject instance using the specified attributes.
Public methodDwgObject(ViewBase, Point, Size, String)
Creates a new DwgObject instance with the given parameters.
Public methodDwgObject(ViewBase, Point, Size, String, EmbeddedObjectAttributes)
Creates a new DwgObject instance using the specified attributes.
Top
Properties
  NameDescription
Public propertyAngle
Gets or sets the angle (in degrees).
(Inherited from EmbeddedObjectBase.)
Public propertyAttributes
Gets or sets the attributes.
(Inherited from EmbeddedObjectBase.)
Public propertyFileName
Gets or sets the file name defining the embedded object.
(Inherited from EmbeddedObjectBase.)
Public propertyInsertionPoint
Gets or sets the insertion point.
(Inherited from EmbeddedObjectBase.)
Public propertyQueryReturnValue
Status information about the latest database operation (select, insert, modify, delete).
(Inherited from DatabaseObject.)
Public propertySize
Gets or sets the size of the frame of the embedded object.
(Inherited from EmbeddedObjectBase.)
Top
Methods
  NameDescription
Public methodDelete
Deletes the embedded object.
(Inherited from EmbeddedObjectBase.)
Public methodGetAxisAlignedBoundingBox
Gets the bounding box for the current object in the global axis coordinate system.
(Inherited from EmbeddedObjectBase.)
Public methodGetDoubleUserProperties(DictionaryString, Double)
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetDoubleUserProperties(ListString, DictionaryString, Double)
Retrieves all double user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetDrawing
Gets the drawing where the drawing object is.
(Inherited from DrawingObject.)
Public methodGetIntegerUserProperties(DictionaryString, Int32)
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetIntegerUserProperties(ListString, DictionaryString, Int32)
Retrieves all integer user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetObjectAlignedBoundingBox
Gets the bounding box for the current object in its local coordinate system.
(Inherited from EmbeddedObjectBase.)
Public methodGetRelatedObjects
Gets the related objects of the current object.
(Inherited from DrawingObject.)
Public methodGetRelatedObjects(Type)
Gets the related objects of the current object that are of certain types.
(Inherited from DrawingObject.)
Public methodGetStringUserProperties(DictionaryString, String)
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetStringUserProperties(ListString, DictionaryString, String)
Retrieves all string user properties for the object with the given list of names.
(Inherited from DatabaseObject.)
Public methodGetUserProperty(String, Double)
Gets a double property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodGetUserProperty(String, Int32)
Gets an integer property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodGetUserProperty(String, String)
Gets a string property from the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodGetView
Gets the view where the drawing object is.
(Inherited from DrawingObject.)
Public methodInsert
Inserts the embedded object.
(Inherited from EmbeddedObjectBase.)
Public methodIsEqual
Compares the current object with an object of the same type.
(Inherited from EmbeddedObjectBase.)
Public methodIsSameDatabaseObject
Returns true if the current object and the given object are referencing the same database object.
(Inherited from DatabaseObject.)
Public methodModify
Modifies the embedded object.
(Inherited from EmbeddedObjectBase.)
Public methodCode exampleMoveObjectRelative
Moves the object according to the given move vector.
(Inherited from EmbeddedObjectBase.)
Public methodResize
Resizes the object. The scaling type is changed to ScaleToFit.
(Inherited from EmbeddedObjectBase.)
Public methodSelect
Selects the embedded object.
(Inherited from EmbeddedObjectBase.)
Public methodSetUserProperty(String, Double)
Sets a double property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodSetUserProperty(String, Int32)
Sets an integer property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodSetUserProperty(String, String)
Sets a string property for the drawing object. The object has to be in a drawing before the method can be used.
(Inherited from DatabaseObject.)
Public methodToString
Changes the string presentation of the drawing object.
(Inherited from DrawingObject.)
Top
Examples
The following example shows how to embed a DXF file to a drawing with the scale 0.5:
using Tekla.Structures.Drawing;
using Tekla.Structures.Geometry3d;
using System.IO;

public class Example
{
       public void Example1()
       {
           DrawingHandler MyDrawingHandler = new DrawingHandler();
           ViewBase _view = MyDrawingHandler.GetActiveDrawing().GetSheet().GetAllViews().Current as ViewBase;

           EmbeddedObjectAttributes attributes = new EmbeddedObjectAttributes();
           attributes.XScale = 0.5;
           attributes.YScale = 0.5;
           DwgObject dxf = new DwgObject(_view, new Point(100, 100),
                                         Path.GetFullPath("my_dxf.dxf"), attributes);
           dxf.Insert();
       }
}
See Also
Was this helpful?
The feedback you give here is not visible to other users. We use your comments to improve the content.
Previous
Next